import java.io.*;

public class CipherTestGen {

	final int MAX_N = 9;

	public static void main(String[] args) {
		new CipherTestGen().generate();
	}

	PrintWriter out;
	int countTests = 0;

	void generate() {
		createTestsDir();
		final int[] tests = new int[] {2, 3, 1, 4, 5, 6, 7, 8, 9};
		for (int test : tests) {
			printTest(test);
		}
	}
	
	void createTestsDir() {
		File file = new File("../tests/");
		if (!file.exists()) {
			file.mkdir();	
		}
	}

	void printTest(int n) {
		try {
			countTests++;
			String fileName = "../tests/";
			fileName += String.format("%02d", countTests);
			out = new PrintWriter(fileName);

			out.println(n);

			System.out.println("Done printing test #" + countTests);
			out.close();
		} catch (FileNotFoundException e) {
//			e.printStackTrace();
			System.err.println(e.getMessage());
		}
	}
}
